<?php
include'database.php';

function holidayCreation(){
        $data = $_POST;
        $pdo = connectDatabase();
        createHoliday($pdo, $data);
        closeDatabase($pdo);
        header('location: calendar.php');
}

function holidayModification(){
        $data = $_POST;
        $id = $_POST["id"];
        $pdo = connectDatabase();
        editHoliday($pdo, $data, $id);
        closeDatabase($pdo);
        header('location: calendar.php');
}

function holidayDeletion(){
        $id = $_GET["delete"];
        $pdo = connectDatabase();
        deleteHoliday($pdo, $id);
        closeDatabase($pdo);
        header('location: calendar.php');
}

if (isset($_POST["create"])) {
    holidayCreation();
}


if (isset($_POST["edit"])) {
    holidayModification();
}

if (isset($_GET["delete"])) {
    holidayDeletion();
}
